# All files / utils preventNegativeZero.ts

100% Statements 4/4
100% Branches 3/3
100% Functions 1/1
100% Lines 4/4

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    104x

    53x
    16x

    37x

     export const preventNegativeZero = (
      value: number | string
    ): number | string => {
      // eslint-disable-next-line no-compare-neg-zero
      if (Number(value) === -0) {
        return typeof value === 'number' ? 0 : value.replace(/-/g, '')
      }
      return value
    }